import type { Generic } from 'adopted-style-sheets';
import { InputTypeOnDefault } from '../../../types/input/types';
import { AdjustHeightPropType } from '../../../types/props/adjust-height';
import { HideErrorPropType } from '../../../types/props/hide-error';
import { LabelWithExpertSlotPropType } from '../../../types/props/label';
import { Props as ButtonProps } from '../../button/types';
import { ControlledInputController } from '../../input-adapter-leanup/controller';
import { Props as AdapterProps } from '../../input-adapter-leanup/types';
import { Props, Watches } from './types';
import { StencilUnknown } from '../../../types/unknown';
type ValueChangeListener = (value: StencilUnknown) => void;
export declare class InputController extends ControlledInputController implements Watches {
    protected readonly component: Generic.Element.Component & Props & AdapterProps;
    private readonly valueChangeListeners;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    validateAccessKey(value?: string): void;
    validateAdjustHeight(value?: AdjustHeightPropType): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateTabIndex(value?: number): void;
    componentWillLoad(): void;
    protected onBlur(event: Event): void;
    protected onChange(event: Event, value?: StencilUnknown): void;
    protected onClick(event: Event): void;
    protected onFocus(event: Event): void;
    protected onInput(event: Event, shouldSetFormAssociatedValue?: boolean, value?: StencilUnknown): void;
    setValue(event: Event, value: string | number | boolean): void;
    addValueChangeListener(listener: ValueChangeListener): void;
    readonly onFacade: {
        onBlur: (event: Event) => void;
        onChange: (event: Event, value?: StencilUnknown) => void;
        onClick: (event: Event) => void;
        onFocus: (event: Event) => void;
        onInput: (event: Event, shouldSetFormAssociatedValue?: boolean, value?: StencilUnknown) => void;
    };
}
export {};
