import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { PropAriaLabel } from '../../types/props/aria-label';
import { LabelProp, PropLabel } from '../../types/props/label';
import { LinkProps } from '../link/types';
export type BreadcrumbLinkProps = LinkProps & LabelProp;
type RequiredProps = {
    links: Stringified<BreadcrumbLinkProps[]>;
};
type OptionalProps = PropAriaLabel & PropLabel;
export type Props = Generic.Element.Members<RequiredProps, OptionalProps>;
type RequiredStates = {
    links: BreadcrumbLinkProps[];
} & PropLabel;
type OptionalStates = OptionalProps;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type API = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
