import { JSX } from '../../stencil-public-runtime';
import { States as ButtonStates } from '../../components/button/types';
import { Stringified } from '../../types/common';
import { AlignPropType } from '../../types/props/align';
import { AlternativeButtonLinkRolePropType } from '../../types/props/alternative-button-link-role';
import { AriaCurrentPropType } from '../../types/props/aria-current';
import { ButtonCallbacksPropType } from '../../types/props/button-callbacks';
import { ButtonTypePropType } from '../../types/props/button-type';
import { ButtonVariantPropType } from '../../types/props/button-variant';
import { CustomClassPropType } from '../../types/props/custom-class';
import { DisabledPropType } from '../../types/props/disabled';
import { IconsPropType } from '../../types/props/icons';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { StencilUnknown } from '../../types/unknown';
import { API } from './types';
export declare class KolButtonWc implements API {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    private readonly onClick;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _ariaControls?: string;
    _ariaCurrent?: AriaCurrentPropType;
    _ariaExpanded?: boolean;
    _ariaLabel?: string;
    _ariaSelected?: boolean;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _hideLabel?: boolean;
    _icon?: IconsPropType;
    _icons?: IconsPropType;
    _iconAlign?: AlignPropType;
    _iconOnly?: boolean;
    _id?: string;
    _label: LabelWithExpertSlotPropType;
    _name?: string;
    _on?: ButtonCallbacksPropType<StencilUnknown>;
    _role?: AlternativeButtonLinkRolePropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _type?: ButtonTypePropType;
    _value?: Stringified<StencilUnknown>;
    _variant?: ButtonVariantPropType;
    state: ButtonStates;
    constructor();
    validateAccessKey(value?: string): void;
    validateAriaControls(value?: string): void;
    validateAriaCurrent(value?: AriaCurrentPropType): void;
    validateAriaExpanded(value?: boolean): void;
    validateAriaLabel(value?: string): void;
    validateAriaSelected(value?: boolean): void;
    validateCustomClass(value?: CustomClassPropType): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideLabel(value?: boolean): void;
    validateIcon(value?: IconsPropType): void;
    validateIcons(value?: IconsPropType): void;
    validateIconAlign(value?: AlignPropType): void;
    validateIconOnly(value?: boolean): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateName(value?: string): void;
    validateOn(value?: ButtonCallbacksPropType<StencilUnknown>): void;
    validateRole(value?: AlternativeButtonLinkRolePropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateType(value?: ButtonTypePropType): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: ButtonVariantPropType): void;
    componentWillLoad(): void;
}
