import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { AlignPropType } from '../../types/props/align';
import { AlternativeButtonLinkRolePropType } from '../../types/props/alternative-button-link-role';
import { AriaCurrentPropType } from '../../types/props/aria-current';
import { ButtonCallbacksPropType } from '../../types/props/button-callbacks';
import { ButtonTypePropType } from '../../types/props/button-type';
import { ButtonVariantPropType } from '../../types/props/button-variant';
import { CustomClassPropType } from '../../types/props/custom-class';
import { IconsPropType } from '../../types/props/icons';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { StencilUnknown } from '../../types/unknown';
import { Props } from './types';
export declare class KolButton implements Props {
    private readonly host?;
    private readonly catchRef;
    render(): JSX.Element;
    _accessKey?: string;
    _ariaControls?: string;
    _ariaCurrent?: AriaCurrentPropType;
    _ariaExpanded?: boolean;
    _ariaLabel?: string;
    _ariaSelected?: boolean;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _hideLabel?: boolean;
    _icon?: IconsPropType;
    _icons?: IconsPropType;
    _iconAlign?: AlignPropType;
    _iconOnly?: boolean;
    _id?: string;
    _label: LabelWithExpertSlotPropType;
    _name?: string;
    _on?: ButtonCallbacksPropType<StencilUnknown>;
    _role?: AlternativeButtonLinkRolePropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _type?: ButtonTypePropType;
    _value?: Stringified<StencilUnknown>;
    _variant?: ButtonVariantPropType;
}
