import type { Generic } from 'adopted-style-sheets';
import { EventValueOrEventCallback } from '../../types/callbacks';
import { PropLabel } from '../../types/props/label';
import { PropOpen } from '../../types/props/open';
export type EventCallbacks = {
    onToggle?: EventValueOrEventCallback<Event, boolean>;
};
type RequiredProps = NonNullable<unknown>;
type OptionalProps = {
    summary: string;
    on: EventCallbacks;
} & PropOpen & PropLabel;
export type Props = Generic.Element.Members<RequiredProps, OptionalProps>;
type RequiredStates = RequiredProps;
type OptionalStates = OptionalProps;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type API = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
