import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { InputTypeOnDefault } from '../../types/input/types';
import { CheckedPropType } from '../../types/props/checked';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { IndeterminatePropType } from '../../types/props/indeterminate';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { StencilUnknown } from '../../types/unknown';
import { API, InputCheckboxIconsProp, InputCheckboxVariant, States } from './types';
export declare class KolInputCheckbox implements API {
    private readonly host?;
    private readonly catchRef;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _checked?: boolean;
    _hideError?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideLabel?: boolean;
    _hint?: string;
    _icon?: Stringified<InputCheckboxIconsProp>;
    _icons?: Stringified<InputCheckboxIconsProp>;
    _id?: IdPropType;
    _indeterminate?: boolean;
    _label?: LabelWithExpertSlotPropType;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _type?: InputCheckboxVariant;
    _value?: Stringified<StencilUnknown>;
    _variant?: InputCheckboxVariant;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateChecked(value?: CheckedPropType): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcon(value?: Stringified<InputCheckboxIconsProp>): void;
    validateIcons(value?: Stringified<InputCheckboxIconsProp>): void;
    validateId(value?: string): void;
    validateIndeterminate(value?: IndeterminatePropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: boolean): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateType(value?: InputCheckboxVariant): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: InputCheckboxVariant): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
}
