import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { CheckedPropType } from '../../types/props/checked';
import { IndeterminatePropType } from '../../types/props/indeterminate';
import { StencilUnknown } from '../../types/unknown';
import { InputCheckboxRadioController } from '../input-radio/controller';
import { InputCheckboxIconsProp, InputCheckboxVariant, Props, Watches } from './types';
export declare class InputCheckboxController extends InputCheckboxRadioController implements Watches {
    protected readonly component: Generic.Element.Component & Props;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    readonly setFormAssociatedCheckboxValue: (value: StencilUnknown) => void;
    validateChecked(value?: CheckedPropType): void;
    validateIcon(value?: Stringified<InputCheckboxIconsProp>): void;
    validateIcons(value?: Stringified<InputCheckboxIconsProp>): void;
    validateIndeterminate(value?: IndeterminatePropType): void;
    validateType(value?: InputCheckboxVariant): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: InputCheckboxVariant): void;
    componentWillLoad(): void;
}
