import type { Generic } from 'adopted-style-sheets';
import { InputNumberType } from '../../types/input/control/number';
import { Iso8601 } from '../../types/input/iso8601';
import { InputTypeOnDefault, InputTypeOnOff } from '../../types/input/types';
import { ReadOnlyPropType } from '../../types/props/read-only';
import { SuggestionsPropType } from '../../types/props/suggestions';
import { InputIconController } from '../@deprecated/input/controller-icon';
import { Props, Watches } from './types';
export declare class InputDateController extends InputIconController implements Watches {
    private static readonly isoDateRegex;
    private static readonly isoLocalDateTimeRegex;
    private static readonly isoMonthRegex;
    private static readonly isoTimeRegex;
    private static readonly isoWeekRegex;
    private static readonly DEFAULT_MAX_DATE;
    protected readonly component: Generic.Element.Component & Props;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateList(): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    private tryParseToString;
    private validateDateString;
    private readonly validateIso8601;
    protected onBlur(event: Event): void;
    validateMax(value?: Iso8601 | Date): void;
    validateMin(value?: Iso8601 | Date): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateReadOnly(value?: ReadOnlyPropType): void;
    validateRequired(value?: boolean): void;
    validateStep(value?: number): void;
    validateType(value?: InputNumberType): void;
    validateValue(value?: Iso8601 | Date | null): void;
    validateValueEx(value?: Iso8601 | Date | null, afterPatch?: (v: string) => void): void;
    componentWillLoad(): void;
}
