import type { Generic } from 'adopted-style-sheets';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputDateType, OptionalInputProps } from '../../types/input/control/number';
import { Iso8601 } from '../../types/input/iso8601';
import { InputTypeOnDefault, InputTypeOnOff } from '../../types/input/types';
import { PropDisabled } from '../../types/props/disabled';
import { PropHideError } from '../../types/props/hide-error';
import { PropHideLabel } from '../../types/props/hide-label';
import { PropId } from '../../types/props/id';
import { PropLabelWithExpertSlot } from '../../types/props/label';
import { PropName } from '../../types/props/name';
import { PropReadOnly } from '../../types/props/read-only';
import { PropRequired } from '../../types/props/required';
import { PropSuggestions, SuggestionsPropType } from '../../types/props/suggestions';
import { PropSyncValueBySelector } from '../../types/props/sync-value-by-selector';
import { PropTouched } from '../../types/props/touched';
import { W3CInputValue } from '../../types/w3c';
import { Props as ButtonProps } from '../button/types';
type RequiredProps = NonNullable<unknown>;
type OptionalProps = {
    type: InputDateType;
    list: SuggestionsPropType;
} & OptionalInputProps<Iso8601 | Date> & PropHideError & PropLabelWithExpertSlot & PropSuggestions;
type RequiredStates = {
    autoComplete: InputTypeOnOff;
    hasValue: boolean;
    suggestions: W3CInputValue[];
    type: InputDateType;
} & PropLabelWithExpertSlot & PropHideError & PropId;
type OptionalStates = {
    accessKey: string;
    alert: boolean;
    error: string;
    hint: string;
    icons: KoliBriHorizontalIcons;
    max: Iso8601;
    min: Iso8601;
    on: InputTypeOnDefault;
    placeholder: string;
    smartButton: ButtonProps;
    step: number;
    tabIndex: number;
    value: Iso8601 | null;
} & PropSyncValueBySelector & PropDisabled & PropHideLabel & PropName & PropReadOnly & PropRequired & PropTouched;
export type Props = Generic.Element.Members<RequiredProps, OptionalProps>;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type Watches = Generic.Element.Watchers<RequiredProps, OptionalProps>;
export type ComponentApi = Generic.Element.Members<RequiredProps, OptionalProps>;
export {};
