import type { Generic } from 'adopted-style-sheets';
import { InputNumberType } from '../../types/input/control/number';
import { Iso8601 } from '../../types/input/iso8601';
import { InputTypeOnOff } from '../../types/input/types';
import { SuggestionsPropType } from '../../types/props/suggestions';
import { InputIconController } from '../@deprecated/input/controller-icon';
import { Props, Watches } from './types';
export declare class InputNumberController extends InputIconController implements Watches {
    private readonly numberOrIsoDateRegex;
    protected readonly component: Generic.Element.Component & Props;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateList(): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    private readonly parseToString;
    private readonly validateIso8601;
    protected onChange(event: Event): void;
    validateMax(value?: number | Iso8601): void;
    validateMin(value?: number | Iso8601): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateStep(value?: number): void;
    validateType(value?: InputNumberType): void;
    validateValue(value?: number | Iso8601 | null): void;
    validateValueEx(value?: number | Iso8601 | null, afterPatch?: (v: string) => void): void;
    componentWillLoad(): void;
}
