import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputTypeOnDefault, InputTypeOnOff } from '../../types/input/types';
import { PropDisabled } from '../../types/props/disabled';
import { PropHasCounter } from '../../types/props/has-counter';
import { PropHideError } from '../../types/props/hide-error';
import { PropHideLabel } from '../../types/props/hide-label';
import { PropId } from '../../types/props/id';
import { PropLabelWithExpertSlot } from '../../types/props/label';
import { PropName } from '../../types/props/name';
import { PropReadOnly } from '../../types/props/read-only';
import { PropRequired } from '../../types/props/required';
import { PropSyncValueBySelector } from '../../types/props/sync-value-by-selector';
import { PropTouched } from '../../types/props/touched';
import { Props as ButtonProps } from '../button/types';
type RequiredProps = NonNullable<unknown>;
type OptionalProps = {
    accessKey: string;
    alert: boolean;
    autoComplete: InputTypeOnOff;
    error: string;
    hint: string;
    icon: Stringified<KoliBriHorizontalIcons>;
    icons: Stringified<KoliBriHorizontalIcons>;
    maxLength: number;
    on: InputTypeOnDefault;
    pattern: string;
    placeholder: string;
    size: number;
    smartButton: Stringified<ButtonProps>;
    tabIndex: number;
    value: string;
} & PropDisabled & PropHasCounter & PropHideError & PropHideLabel & PropLabelWithExpertSlot & PropName & PropReadOnly & PropRequired & PropSyncValueBySelector & PropTouched;
export type Props = Generic.Element.Members<RequiredProps, OptionalProps>;
type RequiredStates = {
    autoComplete: InputTypeOnOff;
    hasValue: boolean;
} & PropId & PropHideError & PropLabelWithExpertSlot;
type OptionalStates = {
    accessKey: string;
    alert: boolean;
    currentLength: number;
    error: string;
    hint: string;
    icons: KoliBriHorizontalIcons;
    maxLength: number;
    on: InputTypeOnDefault;
    pattern: string;
    placeholder: string;
    size: number;
    smartButton: ButtonProps;
    tabIndex: number;
    value: string | null;
} & PropDisabled & PropHasCounter & PropHideLabel & PropName & PropReadOnly & PropRequired & PropTouched;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type Watches = Generic.Element.Watchers<RequiredProps, OptionalProps>;
export type API = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
