import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { InputTypeOnDefault, Option } from '../../types/input/types';
import { Orientation } from '../../types/orientation';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { OptionsPropType } from '../../types/props/options';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { StencilUnknown } from '../../types/unknown';
import { W3CInputValue } from '../../types/w3c';
import { API, States } from './types';
export declare class KolInputRadio implements API {
    private readonly host?;
    private readonly catchRef;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label?: LabelWithExpertSlotPropType;
    _list?: Stringified<Option<W3CInputValue>[]>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: OptionsPropType;
    _orientation?: Orientation;
    _required?: boolean;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<W3CInputValue>;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideLabel(value?: boolean): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateList(value?: Stringified<Option<W3CInputValue>[]>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: OptionsPropType): void;
    validateOrientation(value?: Orientation): void;
    validateRequired(value?: boolean): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
}
