import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputTypeOnDefault, InputTypeOnOff, Option } from '../../types/input/types';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { SuggestionsPropType } from '../../types/props/suggestions';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { W3CInputValue } from '../../types/w3c';
import { API, States } from './types';
export declare class KolInputRange implements API {
    private readonly host?;
    private refInputNumber?;
    private refInputRange?;
    private readonly catchInputNumberRef;
    private readonly catchInputRangeRef;
    private readonly onChange;
    private readonly onKeyDown;
    componentDidLoad(): void;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icon?: Stringified<KoliBriHorizontalIcons>;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label?: LabelWithExpertSlotPropType;
    _list?: Stringified<Option<W3CInputValue>[]>;
    _max?: number;
    _min?: number;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _step?: number;
    _suggestions?: SuggestionsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: number;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcon(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateList(value?: Stringified<Option<W3CInputValue>[]>): void;
    validateMax(value?: number): void;
    validateMin(value?: number): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateStep(value?: number): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: number): void;
    componentWillLoad(): void;
}
