import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputTypeOnDefault, InputTypeOnOff, Option } from '../../types/input/types';
import { PropDisabled } from '../../types/props/disabled';
import { PropHideError } from '../../types/props/hide-error';
import { PropHideLabel } from '../../types/props/hide-label';
import { PropId } from '../../types/props/id';
import { PropLabelWithExpertSlot } from '../../types/props/label';
import { PropName } from '../../types/props/name';
import { PropSuggestions } from '../../types/props/suggestions';
import { PropSyncValueBySelector } from '../../types/props/sync-value-by-selector';
import { PropTouched } from '../../types/props/touched';
import { W3CInputValue } from '../../types/w3c';
type RequiredProps = NonNullable<unknown>;
type OptionalProps = {
    accessKey: string;
    alert: boolean;
    autoComplete: InputTypeOnOff;
    error: string;
    hint: string;
    icon: Stringified<KoliBriHorizontalIcons>;
    icons: Stringified<KoliBriHorizontalIcons>;
    list: Stringified<Option<W3CInputValue>[]>;
    max: number;
    min: number;
    on: InputTypeOnDefault;
    step: number;
    tabIndex: number;
    value: number;
} & PropDisabled & PropHideError & PropHideLabel & PropLabelWithExpertSlot & PropName & PropSuggestions & PropSyncValueBySelector & PropTouched;
export type Props = Generic.Element.Members<RequiredProps, OptionalProps>;
type RequiredStates = {
    autoComplete: InputTypeOnOff;
    suggestions: W3CInputValue[];
} & PropId & PropHideError & PropLabelWithExpertSlot;
type OptionalStates = {
    accessKey: string;
    alert: boolean;
    error: string;
    hint: string;
    icons: KoliBriHorizontalIcons;
    max: number;
    min: number;
    on: InputTypeOnDefault;
    step: number;
    tabIndex: number;
    value: number;
} & PropDisabled & PropHideLabel & PropName & PropTouched;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type Watches = Generic.Element.Watchers<RequiredProps, OptionalProps>;
export type API = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
