import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputTextType } from '../../types/input/control/text';
import { InputTypeOnDefault, InputTypeOnOff } from '../../types/input/types';
import { AlertPropType } from '../../types/props/alert';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { SuggestionsPropType } from '../../types/props/suggestions';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { Props as ButtonProps } from '../button/types';
import { API, States } from './types';
export declare class KolInputText implements API {
    private readonly host?;
    private ref?;
    private oldValue?;
    private readonly catchRef;
    private readonly onChange;
    private readonly onInput;
    private readonly onKeyDown;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _error?: string;
    _hasCounter?: boolean;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icon?: Stringified<KoliBriHorizontalIcons>;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label?: LabelWithExpertSlotPropType;
    _list?: Stringified<string[]>;
    _maxLength?: number;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _pattern?: string;
    _placeholder?: string;
    _readOnly?: boolean;
    _required?: boolean;
    _size?: number;
    _suggestions?: SuggestionsPropType;
    _smartButton?: Stringified<ButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _type?: InputTextType;
    _value?: string;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: AlertPropType): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHasCounter(value?: boolean): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcon(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateList(value?: SuggestionsPropType): void;
    validateMaxLength(value?: number): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validatePattern(value?: string): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateSize(value?: number): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateType(value?: InputTextType): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
