import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { InputTextType } from '../../types/input/control/text';
import { PropLabelWithExpertSlot } from '../../types/props/label';
import { PropSuggestions, SuggestionsPropType } from '../../types/props/suggestions';
import { InputPasswordController } from '../input-password/controller';
import { Props as InputTextProps, Watches as InputTextWatches } from './types';
type RequiredProps = NonNullable<unknown>;
type OptionalProps = {
    id: string;
    list: Stringified<string[]>;
} & PropLabelWithExpertSlot & PropSuggestions;
type InputTextEmailProps = Generic.Element.Members<RequiredProps, OptionalProps>;
type InputTextEmailWatches = Generic.Element.Watchers<RequiredProps, OptionalProps>;
export declare class InputTextEmailController extends InputPasswordController implements InputTextEmailWatches {
    protected readonly component: Generic.Element.Component & InputTextEmailProps;
    constructor(component: Generic.Element.Component & InputTextEmailProps, name: string, host?: HTMLElement);
    validateList(): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    componentWillLoad(): void;
}
export declare class InputTextController extends InputTextEmailController implements InputTextWatches {
    protected readonly component: Generic.Element.Component & InputTextProps;
    hasError: boolean;
    constructor(component: Generic.Element.Component & InputTextProps, name: string, host?: HTMLElement);
    validateType(value?: InputTextType): void;
    validateHasCounter(value?: boolean): void;
    componentWillLoad(): void;
}
export {};
