import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { SuggestionsPropType } from '../../types/props/suggestions';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { Props as ButtonProps } from '../button/types';
import { Props } from './types';
export declare class KolInput implements Props {
    private readonly host?;
    private slotName;
    componentWillRender(): void;
    private catchInputSlot;
    private getIconsProp;
    private getIconStyles;
    render(): JSX.Element;
    _alert?: boolean;
    _currentLength?: number;
    _disabled?: boolean;
    _error?: string;
    _hasCounter?: boolean;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icon?: KoliBriHorizontalIcons;
    _icons?: KoliBriHorizontalIcons;
    _id: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _maxLength?: number;
    _readOnly?: boolean;
    _renderNoLabel?: boolean;
    _required?: boolean;
    _slotName?: string;
    _suggestions?: SuggestionsPropType;
    _smartButton?: Stringified<ButtonProps>;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
}
