import { JSX } from '../../stencil-public-runtime';
import { LinkUseCase } from '../../types/button-link';
import { Stringified } from '../../types/common';
import { KoliBriIconsProp } from '../../types/icons';
import { AlignPropType } from '../../types/props/align';
import { AlternativeButtonLinkRolePropType } from '../../types/props/alternative-button-link-role';
import { AriaCurrentPropType } from '../../types/props/aria-current';
import { DownloadPropType } from '../../types/props/download';
import { HrefPropType } from '../../types/props/href';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { LinkOnCallbacksPropType } from '../../types/props/link-on-callbacks';
import { LinkTargetPropType } from '../../types/props/link-target';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { States as LinkStates } from '../link/types';
import { API } from './types';
export declare class KolLinkWc implements API {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    private readonly onClick;
    private readonly getRenderValues;
    render(): JSX.Element;
    _ariaControls?: string;
    _ariaCurrent?: AriaCurrentPropType;
    _ariaExpanded?: boolean;
    _ariaLabel?: string;
    _ariaSelected?: boolean;
    _disabled?: boolean;
    _download?: DownloadPropType;
    _hideLabel?: boolean;
    _href: HrefPropType;
    _icon?: Stringified<KoliBriIconsProp>;
    _icons?: Stringified<KoliBriIconsProp>;
    _iconAlign?: AlignPropType;
    _iconOnly?: boolean;
    _label?: LabelWithExpertSlotPropType;
    _listenAriaCurrent?: AriaCurrentPropType;
    _on?: LinkOnCallbacksPropType;
    _role?: AlternativeButtonLinkRolePropType;
    _selector?: string;
    _stealth?: boolean;
    _tabIndex?: number;
    _target?: LinkTargetPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _useCase?: LinkUseCase;
    state: LinkStates;
    validateAriaControls(value?: string): void;
    validateAriaCurrent(value?: AriaCurrentPropType): void;
    validateAriaExpanded(value?: boolean): void;
    validateAriaLabel(value?: string): void;
    validateAriaSelected(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateDownload(value?: DownloadPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHref(value?: string): void;
    validateIcon(value?: KoliBriIconsProp): void;
    validateIcons(value?: KoliBriIconsProp): void;
    validateIconAlign(value?: AlignPropType): void;
    validateIconOnly(value?: boolean): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateListenAriaCurrent(value?: AriaCurrentPropType): void;
    validateOn(value?: LinkOnCallbacksPropType): void;
    validateRole(value?: AlternativeButtonLinkRolePropType): void;
    validateSelector(value?: string): void;
    validateStealth(value?: boolean): void;
    validateTabIndex(value?: number): void;
    validateTarget(value?: LinkTargetPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateUseCase(value?: LinkUseCase): void;
    componentWillLoad(): void;
    private unsubscribeAriaCurrentSubject;
    disconnectedCallback(): void;
}
