import { JSX } from '../../stencil-public-runtime';
import { LinkUseCase } from '../../types/button-link';
import { Stringified } from '../../types/common';
import { KoliBriIconsProp } from '../../types/icons';
import { AlignPropType } from '../../types/props/align';
import { AlternativeButtonLinkRolePropType } from '../../types/props/alternative-button-link-role';
import { AriaCurrentPropType } from '../../types/props/aria-current';
import { DownloadPropType } from '../../types/props/download';
import { HrefPropType } from '../../types/props/href';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { LinkOnCallbacksPropType } from '../../types/props/link-on-callbacks';
import { LinkTargetPropType } from '../../types/props/link-target';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { LinkProps } from '../link/types';
export declare class KolLink implements LinkProps {
    private readonly host?;
    private readonly catchRef;
    render(): JSX.Element;
    _ariaControls?: string;
    _ariaCurrent?: AriaCurrentPropType;
    _ariaExpanded?: boolean;
    _ariaLabel?: string;
    _ariaSelected?: boolean;
    _disabled?: boolean;
    _download?: DownloadPropType;
    _hideLabel?: boolean;
    _href: HrefPropType;
    _icon?: Stringified<KoliBriIconsProp>;
    _icons?: Stringified<KoliBriIconsProp>;
    _iconAlign?: AlignPropType;
    _iconOnly?: boolean;
    _label?: LabelWithExpertSlotPropType;
    _listenAriaCurrent?: AriaCurrentPropType;
    _on?: LinkOnCallbacksPropType;
    _role?: AlternativeButtonLinkRolePropType;
    _selector?: string;
    _stealth?: boolean;
    _tabIndex?: number;
    _target?: LinkTargetPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _useCase?: LinkUseCase;
}
