import { JSX } from '../../stencil-public-runtime';
import { ButtonOrLinkOrTextWithChildrenProps } from '../../types/button-link-text';
import { Stringified } from '../../types/common';
import { Orientation } from '../../types/orientation';
import { AriaCurrentPropType } from '../../types/props/aria-current';
import { CollapsiblePropType } from '../../types/props/collapsible';
import { HideLabelPropType } from '../../types/props/hide-label';
import { LabelPropType } from '../../types/props/label';
import { API, States } from './types';
export type KoliBriNavVariant = 'primary' | 'secondary';
export declare class KolNav implements API {
    private readonly onClick;
    private readonly hasActiveChild;
    private entry;
    private expandButton;
    private li;
    private linkList;
    render(): JSX.Element;
    _ariaCurrentValue: AriaCurrentPropType;
    _ariaLabel?: string;
    _collapsible?: boolean;
    _compact?: boolean;
    _hasCompactButton?: boolean;
    _hideLabel?: boolean;
    _label?: LabelPropType;
    _links: Stringified<ButtonOrLinkOrTextWithChildrenProps[]>;
    _orientation?: Orientation;
    _variant?: KoliBriNavVariant;
    state: States;
    validateAriaCurrentValue(value?: AriaCurrentPropType): void;
    validateAriaLabel(value?: string): void;
    validateCollapsible(value?: CollapsiblePropType): void;
    validateCompact(value?: boolean): void;
    validateHasCompactButton(value?: boolean): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateLabel(value?: LabelPropType, _oldValue?: LabelPropType, initial?: boolean): void;
    validateLinks(value?: Stringified<ButtonOrLinkOrTextWithChildrenProps[]>): void;
    validateOrientation(value?: Orientation): void;
    validateVariant(value?: KoliBriNavVariant): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
