import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { ButtonVariantPropType } from '../../types/props/button-variant';
import { CustomClassPropType } from '../../types/props/custom-class';
import { LabelPropType } from '../../types/props/label';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { API, KoliBriPaginationButtonCallbacks, PaginationHasButton, States } from './types';
import { MaxPropType } from '../../types/props/max';
export declare class KolPagination implements API {
    private readonly nonce;
    private readonly calcCount;
    private readonly getCount;
    render(): JSX.Element;
    _boundaryCount?: number;
    _customClass?: CustomClassPropType;
    _label?: LabelPropType;
    _hasButtons?: boolean | Stringified<PaginationHasButton>;
    _page: number;
    _pageSize: number;
    _pageSizeOptions: Stringified<number[]>;
    _on: KoliBriPaginationButtonCallbacks;
    _siblingCount?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _total?: number;
    _max?: MaxPropType;
    _variant?: ButtonVariantPropType;
    state: States;
    private onClick;
    private onChangePage;
    private onChangePageSize;
    private readonly onGoToFirst;
    private readonly onGoToEnd;
    private readonly onGoBackward;
    private readonly onGoForward;
    private getUnselectedPageButton;
    private getSelectedPageButton;
    validateBoundaryCount(value?: number): void;
    validateCustomClass(value?: CustomClassPropType): void;
    validateLabel(label?: LabelPropType, _oldValue?: LabelPropType, initial?: boolean): void;
    validateHasButtons(value?: string | boolean | Stringified<PaginationHasButton>): void;
    validateOn(value?: KoliBriPaginationButtonCallbacks): void;
    validatePage(value?: number): void;
    private beforePageSize;
    private syncPage;
    private beforePageSizeOptions;
    validatePageSize(value?: number): void;
    validatePageSizeOptions(value?: Stringified<number[]>): void;
    validateSiblingCount(value?: number): void;
    validateTotal(value?: number): void;
    validateMax(value?: MaxPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateVariant(value?: ButtonVariantPropType): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
