import type { Generic } from 'adopted-style-sheets';
import { Events } from '../../enums/events';
import { EventValueOrEventCallback } from '../../types/callbacks';
import { Stringified } from '../../types/common';
import { Option } from '../../types/input/types';
import { PropButtonVariant } from '../../types/props/button-variant';
import { PropCustomClass } from '../../types/props/custom-class';
import { PropLabel } from '../../types/props/label';
import { PropTooltipAlign } from '../../types/props/tooltip-align';
import { PropMax } from '../../types/props/max';
export type KoliBriPaginationButtonCallbacks = {
    [Events.onClick]?: EventValueOrEventCallback<Event, number>;
    onChangePage?: EventValueOrEventCallback<Event, number>;
    onChangePageSize?: EventValueOrEventCallback<Event, number>;
};
export type PaginationHasButton = {
    first: boolean;
    last: boolean;
    next: boolean;
    previous: boolean;
};
type RequiredProps = {
    on: KoliBriPaginationButtonCallbacks;
    page: number;
};
type OptionalProps = {
    boundaryCount: number;
    hasButtons: boolean | Stringified<PaginationHasButton>;
    pageSize: number;
    pageSizeOptions: Stringified<number[]>;
    siblingCount: number;
    total: number;
} & PropButtonVariant & PropCustomClass & PropLabel & PropMax & PropTooltipAlign;
export type KoliBriPaginationProps = RequiredProps & OptionalProps;
type RequiredStates = {
    boundaryCount: number;
    hasButtons: PaginationHasButton;
    page: number;
    pageSize: number;
    pageSizeOptions: Option<number>[];
    on: KoliBriPaginationButtonCallbacks;
    siblingCount: number;
} & PropButtonVariant & PropLabel & PropMax;
type OptionalStates = PropCustomClass & PropTooltipAlign;
export type States = Generic.Element.Members<RequiredStates, OptionalStates>;
export type API = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
