import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { KoliBriHorizontalIcons } from '../../types/icons';
import { InputTypeOnDefault, SelectOption } from '../../types/input/types';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { OptionsWithOptgroupPropType } from '../../types/props/options';
import { RowsPropType } from '../../types/props/rows';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { W3CInputValue } from '../../types/w3c';
import { API, States } from './types';
export declare class KolSelect implements API {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    private renderOptgroup;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _height?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icon?: Stringified<KoliBriHorizontalIcons>;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label?: LabelWithExpertSlotPropType;
    _list?: Stringified<SelectOption<W3CInputValue>[]>;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: OptionsWithOptgroupPropType;
    _required?: boolean;
    _rows?: RowsPropType;
    _size?: number;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<W3CInputValue[]>;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHeight(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcon(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateList(value?: Stringified<SelectOption<W3CInputValue>[]>): void;
    validateMultiple(value?: boolean): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: OptionsWithOptgroupPropType): void;
    validateRequired(value?: boolean): void;
    validateRows(value?: RowsPropType): void;
    validateSize(value?: number): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<W3CInputValue[]>): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
}
