import type { Generic } from 'adopted-style-sheets';
import { Stringified } from '../../types/common';
import { Option } from '../../types/input/types';
import { OptionsWithOptgroupPropType } from '../../types/props/options';
import { RowsPropType } from '../../types/props/rows';
import { W3CInputValue } from '../../types/w3c';
import { InputIconController } from '../@deprecated/input/controller-icon';
import { Props, Watches } from './types';
export declare class SelectController extends InputIconController implements Watches {
    protected readonly component: Generic.Element.Component & Props;
    private onStateChange;
    private readonly keyOptionMap;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    readonly getOptionByKey: (key: string) => Option<W3CInputValue> | undefined;
    private readonly isValueInOptions;
    private readonly filterValuesInOptions;
    protected readonly afterPatchOptions: (value: unknown, _state: Record<string, unknown>, _component: Generic.Element.Component, key: string) => void;
    private readonly beforePatchOptions;
    validateHeight(value?: string): void;
    validateOptions(value?: OptionsWithOptgroupPropType): void;
    validateMultiple(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateRows(value?: RowsPropType): void;
    validateValue(value?: Stringified<W3CInputValue[]>): void;
    componentWillLoad(onChange?: (event: Event) => void): void;
}
