import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { AlternativeButtonLinkRolePropType } from '../../types/props/alternative-button-link-role';
import { ButtonCallbacksPropType } from '../../types/props/button-callbacks';
import { ButtonTypePropType } from '../../types/props/button-type';
import { ButtonVariantPropType } from '../../types/props/button-variant';
import { CustomClassPropType } from '../../types/props/custom-class';
import { IconsPropType } from '../../types/props/icons';
import { LabelPropType } from '../../types/props/label';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { StencilUnknown } from '../../types/unknown';
import { API, States } from './types';
export declare class KolSplitButton implements API {
    private dropdown;
    private dropdownContent;
    private readonly clickButtonHandler;
    private readonly clickToggleHandler;
    private readonly openDropdown;
    private readonly closeDropdown;
    private readonly toggleDropdown;
    private forceCounter;
    private readonly forceOpenDropdown;
    private readonly catchDropdownElements;
    render(): JSX.Element;
    _accessKey?: string;
    _ariaControls?: string;
    _ariaExpanded?: boolean;
    _ariaLabel?: string;
    _ariaSelected?: boolean;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _hideLabel?: boolean;
    _icon?: IconsPropType;
    _icons?: IconsPropType;
    _id?: string;
    _label: LabelPropType;
    _name?: string;
    _on?: ButtonCallbacksPropType<StencilUnknown>;
    _role?: AlternativeButtonLinkRolePropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _show?: boolean;
    _showDropdown?: boolean;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _type?: ButtonTypePropType;
    _value?: Stringified<StencilUnknown>;
    _variant?: ButtonVariantPropType;
    state: States;
    validateShowDropdown(value?: boolean): void;
    validateShow(value?: boolean): void;
    componentWillLoad(): void;
}
