import { JSX } from '../../stencil-public-runtime';
import { Stringified } from '../../types/common';
import { LabelPropType } from '../../types/props/label';
import { API, KoliBriTableDataType, KoliBriTableHeaders, KoliBriTablePaginationProps, States } from './types';
export declare class KolTable implements API {
    private horizontal;
    private sortFunction?;
    private sortDirections;
    private showPagination;
    private pageStartSlice;
    private pageEndSlice;
    private disableSort;
    private tableDivElement?;
    private tableDivElementResizeObserver?;
    private sortedColumnHead;
    private tableDivElementHasScrollbar;
    _caption?: string;
    _data: Stringified<KoliBriTableDataType[]>;
    _dataFoot?: Stringified<KoliBriTableDataType[]>;
    _headers: Stringified<KoliBriTableHeaders>;
    _label?: string;
    _minWidth?: string;
    _pagination?: boolean | Stringified<KoliBriTablePaginationProps>;
    state: States;
    validateCaption(value?: string): void;
    validateData(value?: Stringified<KoliBriTableDataType[]>): void;
    validateDataFoot(value?: Stringified<KoliBriTableDataType[]>): void;
    private setSortDirection;
    validateHeaders(value?: Stringified<KoliBriTableHeaders>): void;
    validateLabel(value?: LabelPropType): void;
    validateMinWidth(value?: string): void;
    private readonly handlePagination;
    validatePagination(value?: boolean | Stringified<KoliBriTablePaginationProps>): void;
    componentWillLoad(): void;
    componentDidRender(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    private checkDivElementScrollbar;
    private getNumberOfCols;
    private getNumberOfRows;
    private filterHeaderKeys;
    private getPrimaryHeader;
    private createDataField;
    private selectDisplayedData;
    private cellRender;
    private updateSortedData;
    private readonly renderTableRow;
    private readonly renderTableCell;
    private readonly renderFoot;
    render(): JSX.Element;
}
