import { JSX } from '../../stencil-public-runtime';
import { InputTypeOnDefault } from '../../types/input/types';
import { AdjustHeightPropType } from '../../types/props/adjust-height';
import { HasCounterPropType } from '../../types/props/has-counter';
import { HideErrorPropType } from '../../types/props/hide-error';
import { IdPropType } from '../../types/props/id';
import { LabelWithExpertSlotPropType } from '../../types/props/label';
import { NamePropType } from '../../types/props/name';
import { RowsPropType } from '../../types/props/rows';
import { SyncValueBySelectorPropType } from '../../types/props/sync-value-by-selector';
import { TooltipAlignPropType } from '../../types/props/tooltip-align';
import { API, CSSResize, States } from './types';
export declare class KolTextarea implements API {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _adjustHeight?: boolean;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hasCounter?: boolean;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label?: LabelWithExpertSlotPropType;
    _maxLength?: number;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _placeholder?: string;
    _readOnly?: boolean;
    _resize?: CSSResize;
    _required?: boolean;
    _rows?: RowsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: States;
    constructor();
    validateAccessKey(value?: string): void;
    validateAdjustHeight(value?: AdjustHeightPropType): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHasCounter(value?: HasCounterPropType): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMaxLength(value?: number): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateResize(value?: CSSResize): void;
    validateRequired(value?: boolean): void;
    validateRows(value?: RowsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
    private readonly onInput;
}
