import { JSX } from '../../stencil-public-runtime';
import { HeadingLevel } from '../../types/heading-level';
import { HasCloserPropType } from '../../types/props/has-closer';
import { LabelPropType } from '../../types/props/label';
import { ShowPropType } from '../../types/props/show';
import { KoliBriToastEventCallbacks } from '../../types/toast';
import { AlertType } from '../alert/types';
import { API, States } from './types';
export declare class KolToast implements API {
    _alert?: boolean;
    _hasCloser?: boolean;
    _heading?: string;
    _label?: LabelPropType;
    _level?: HeadingLevel;
    _on?: KoliBriToastEventCallbacks;
    _show?: boolean;
    _showDuration?: number;
    _type?: AlertType;
    state: States;
    validateAlert(value?: boolean): void;
    validateHasCloser(value?: HasCloserPropType): void;
    validateHeading(value?: string): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(value?: KoliBriToastEventCallbacks): void;
    validateShow(value?: ShowPropType): void;
    validateShowDuration(value?: number): void;
    validateType(value?: AlertType): void;
    componentWillLoad(): void;
    private durationTimeout?;
    private readonly handleShowAndDuration;
    private readonly close;
    private readonly on;
    render(): JSX.Element;
}
