import type { Generic } from 'adopted-style-sheets';
import { PropHideLabel } from './props/hide-label';
import { PropHref } from './props/href';
import { IconsPropType, PropIcons } from './props/icons';
import { PropLabel } from './props/label';
import { StencilUnknown } from './unknown';
import { PropButtonCallbacks } from './props/button-callbacks';
import { PropLinkTarget } from './props/link-target';
type RequiredButtonProps = PropLabel & PropButtonCallbacks<StencilUnknown>;
type RequiredLinkProps = PropHref;
type RequiredTextProps = PropLabel;
type OptionalButtonOrLinkOrTextProps = PropHideLabel & {
    active: boolean;
    icon: IconsPropType;
} & PropIcons & PropLinkTarget;
type OptionalButtonProps = OptionalButtonOrLinkOrTextProps & {
    disabled: boolean;
};
type OptionalButtonOrLinkOrTextWithChildrenProps = OptionalButtonOrLinkOrTextProps & {
    children: ButtonOrLinkOrTextWithChildrenProps[];
} & PropLabel;
type OptionalButtonWithChildrenProps = OptionalButtonProps & {
    children: ButtonOrLinkOrTextWithChildrenProps[];
};
export type ButtonWithChildrenProps = Generic.Element.Members<RequiredButtonProps, OptionalButtonWithChildrenProps>;
export type LinkWithChildrenProps = Generic.Element.Members<RequiredLinkProps, OptionalButtonOrLinkOrTextWithChildrenProps>;
export type TextWithChildrenProps = Generic.Element.Members<RequiredTextProps, OptionalButtonOrLinkOrTextWithChildrenProps>;
export type ButtonOrLinkOrTextWithChildrenProps = ButtonWithChildrenProps | LinkWithChildrenProps | TextWithChildrenProps;
export {};
