import type { Generic } from 'adopted-style-sheets';
import { WatchOptions } from '../../utils/prop.validators';
import { Stringified } from '../common';
type CharacteristicColors = {
    primary: string;
    secondary: string;
    neutral: string;
};
export type ColorPair = {
    backgroundColor: string;
    foregroundColor: Stringified<CharacteristicColors>;
};
type DeprecatedColorPair = {
    backgroundColor: string;
    color: string;
};
export type PropColor = ColorPair | DeprecatedColorPair;
export declare const validateColor: (component: Generic.Element.Component, value?: Stringified<PropColor>, options?: WatchOptions) => void;
export declare const handleColorChange: (value: unknown) => ColorPair;
export {};
