import type { Generic } from 'adopted-style-sheets';
import { WatchOptions } from '../../utils/prop.validators';
import { Stringified } from '../common';
import { Optgroup, Option } from '../input/types';
import { W3CInputValue } from '../w3c';
export type OptionsPropType = Stringified<Option<W3CInputValue>[]>;
export type OptionsWithOptgroupPropType = Stringified<(Option<W3CInputValue> | Optgroup<W3CInputValue>)[]>;
export type PropOptions = {
    options: OptionsPropType;
};
export type PropOptionsWithOptgroup = {
    options: OptionsWithOptgroupPropType;
};
export declare const validateOptions: (component: Generic.Element.Component, value: OptionsPropType | undefined, options?: WatchOptions) => void;
export declare const validateOptionsWithOptgroup: (component: Generic.Element.Component, value: OptionsWithOptgroupPropType | undefined, options?: WatchOptions) => void;
