/*!
 * KoliBri - The accessible HTML-Standard
 */
import{h,H as Host,r as registerInstance,g as getElement}from"./index-75e4aa9f.js";import{n as nonce}from"./dev.utils-7c6bbdd4.js";import{t as tryToDispatchKoliBriEvent}from"./events-fa760b68.js";import{i as isString,s as showExpertSlot,a as propagateFocus}from"./reuse-d79ab469.js";import{g as getRenderStates}from"./controller-0e4a8702.js";import{a as watchBoolean,w as watchValidator,s as setState}from"./prop.validators-be8ed69a.js";import{d as devHint}from"./a11y.tipps-cb29ecd7.js";import{I as InputCheckboxRadioController}from"./controller-80ee6808.js";import{m as KolInputTag,h as KolIconTag}from"./component-names-a14739b8.js";import"./hide-label-d41d20f5.js";import"./label-4b21e985.js";import"./tab-index-c7b23595.js";import"./associated.controller-1d0726f0.js";import"./index-14005aa7.js";const validateChecked=(e,t)=>{watchBoolean(e,"_checked",t)},validateIndeterminate=(e,t)=>{watchBoolean(e,"_indeterminate",t)};class InputCheckboxController extends InputCheckboxRadioController{constructor(e,t,n){super(e,t,n),this.setFormAssociatedCheckboxValue=e=>{this.component._checked?this.setFormAssociatedValue(e):this.setFormAssociatedValue(null)},this.component=e}validateChecked(e){validateChecked(this.component,e),this.setFormAssociatedCheckboxValue(this.component.state._value)}validateIcon(e){this.validateIcons(e)}validateIcons(e){watchValidator(this.component,"_icons",(e=>"object"==typeof e&&null!==e&&(isString(e.checked,1)||isString(e.indeterminate,1)||isString(e.unchecked,1))),new Set(["InputCheckboxIcons"]),e,{hooks:{beforePatch:(e,t,n)=>{t.set("_icons",Object.assign(Object.assign({},n.state._icons),e))}}})}validateIndeterminate(e){validateIndeterminate(this.component,e)}validateType(e){devHint('The "_type" prop is deprecated. Use "_variant" instead.'),this.validateVariant(e)}validateValue(e){setState(this.component,"_value",e),this.setFormAssociatedCheckboxValue(this.component.state._value)}validateVariant(e){"checkbox"===e&&(devHint("[KolCheckbox] The \"_variant\" value 'checkbox' is deprecated. Use the new value 'default' instead."),e="default"),watchValidator(this.component,"_variant",(e=>"string"==typeof e&&("button"===e||"default"===e||"switch"===e)),new Set(["String {button, default, switch}"]),e)}componentWillLoad(){super.componentWillLoad(),this.validateChecked(this.component._checked),this.validateIcons(this.component._icons||this.component._icon),this.validateIndeterminate(this.component._indeterminate),this.validateValue(this.component._value),this.validateVariant(this.component._variant||this.component._type)}}const defaultStyleCss="/*\n * This file contains all rules for accessibility.\n */\n:host {\n  /*\n   * Minimum size of interactive elements.\n   */\n  --a11y-min-size: 44px;\n  /*\n   * No element should be used without a background and font color whose contrast ratio has\n   * not been checked. By initially setting the background color to white and the font color\n   * to black, the contrast ratio is ensured and explicit adjustment is forced.\n   */\n  background-color: white;\n  color: black;\n  /*\n   * Verdana is an accessible font that can be used without requiring additional loading time.\n   */\n  font-family: Verdana;\n}\n\n* {\n  /*\n   * This rule enables the word dividing for all texts. That is important for high zoom levels.\n   */\n  hyphens: auto;\n  /*\n   * Letter spacing is required for all texts.\n   */\n  letter-spacing: inherit;\n  /*\n   * This rule enables the word dividing for all texts. That is important for high zoom levels.\n   */\n  word-break: break-word;\n  /*\n   * Word spacing is required for all texts.\n   */\n  word-spacing: inherit;\n}\n\n/*\n * All interactive elements should have a minimum size of 44px.\n */\n/* input:not([type='checkbox'], [type='radio'], [type='range']), */\n/* option, */\n/* select, */\n/* textarea, */\n[role=button],\nbutton:not([role=link]),\n.kol-input .input {\n  min-height: var(--a11y-min-size);\n  min-width: var(--a11y-min-size);\n}\n\n/*\n * Some interactive elements should not inherit the font-family and font-size.\n */\na,\nbutton,\nh1,\nh2,\nh3,\nh4,\nh5,\nh6,\ninput,\noption,\nselect,\ntextarea {\n  /*\n   * All elements should inherit the font family from his parent element.\n   */\n  font-family: inherit;\n  /*\n   * All elements should inherit the font size from his parent element.\n   */\n  font-size: inherit;\n}\n\n/**\n * Sometimes we need the semantic element for accessibility reasons,\n * but we don't want to show it.\n *\n * - https://www.a11yproject.com/posts/how-to-hide-content/\n */\n.visually-hidden {\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n  height: 1px;\n  overflow: hidden;\n  position: absolute;\n  white-space: nowrap;\n  width: 1px;\n}\n\n/*\n * Dieses CSS stellt sicher, dass der Standard-Style\n * von A und Button resettet werden.\n */\n:is(a, button) {\n  background-color: transparent;\n  border: none;\n  margin: 0;\n  padding: 0;\n  width: 100%; /* 100% needed for custom width from outside */\n}\n\n/*\n\t * Ensure elements with hidden attribute to be actually not visible\n\t * @see https://meowni.ca/hidden.is.a.lie.html\n\t */\n[hidden] {\n  display: none !important;\n}\n\n:host {\n  /*\n   * The max-width is needed to prevent the table from overflowing the\n   * parent node, if the table is wider than the parent node.\n   */\n  max-width: 100%;\n}\n\n* {\n  /*\n   * We prefer to box-sizing: border-box for all elements.\n   */\n  box-sizing: border-box;\n}\n\n/* KolSpan is a layout component with icons in all directions and a label text in the middle. */\n.kol-span-wc {\n  display: grid;\n  place-items: center;\n}\n\n/* The sub span in KolSpan is the horizontal span with icon left and right and the label text in the middle. */\n.kol-span-wc > span {\n  display: flex;\n  place-items: center;\n}\n\na,\nbutton {\n  cursor: pointer;\n}\n\n/* This is the text label. */\n.icon-only > .kol-span-wc > span > span {\n  display: none;\n}\n\n.hidden {\n  display: none;\n  visibility: hidden;\n}\n\n.required label > span::after,\n.required legend > span::after {\n  content: \"*\";\n}\n\n:host {\n  display: block;\n}\n\ninput,\ntextarea {\n  cursor: text;\n}\n\ninput[type=checkbox],\ninput[type=color],\ninput[type=file],\ninput[type=radio],\ninput[type=range],\nlabel,\noption,\nselect {\n  cursor: pointer;\n}\n\n/* input[type='checkbox'], */\n/* input[type='radio'], */\n/* input[type='range'], */\ninput[type=color],\ninput[type=date],\ninput[type=datetime-local],\ninput[type=email],\ninput[type=file],\ninput[type=month],\ninput[type=number],\ninput[type=password],\ninput[type=search],\ninput[type=tel],\ninput[type=text],\ninput[type=time],\ninput[type=url],\ninput[type=week],\nselect,\nselect[multiple] option,\ntextarea {\n  font-size: calc(16rem / var(--kolibri-root-font-size, 16));\n  width: 100%;\n}\n\n/* needed hack for vertical alignment */\ninput[type=file] {\n  padding: calc((var(--a11y-min-size) - (16rem / var(--kolibri-root-font-size, 16))) / 10) 0.5em;\n}\n\n/* needed hack for vertical alignment */\nselect[multiple] option {\n  padding: calc((var(--a11y-min-size) - (16rem / var(--kolibri-root-font-size, 16))) / 2) 0.5em;\n}\n\n.kol-input.disabled :is(button, input, option, select, textarea, .input-label) {\n  cursor: not-allowed;\n  opacity: 0.5;\n}\n\nlabel {\n  cursor: pointer;\n}\n\n.kol-input {\n  align-items: center;\n  display: grid;\n  justify-items: left;\n}\n\n.kol-input.default,\n.kol-input.switch {\n  grid-template-columns: auto 1fr;\n}\n\n.kol-input .input {\n  align-items: center;\n  display: grid;\n  order: 1;\n}\n\n.kol-input .input div {\n  display: inline-flex;\n}\n\n.kol-input .input input {\n  margin: 0;\n}\n\n.kol-input label {\n  order: 2;\n}\n\n.kol-input .hint,\n.kol-input.error > .kol-alert {\n  grid-column: span 2;\n}\n\n.kol-input .kol-alert.error {\n  order: 3;\n}\n\n.kol-input .hint {\n  order: 4;\n}\n\ninput {\n  border-style: solid;\n  border-width: 2px;\n  line-height: 24px;\n}\n\ninput[type=checkbox] {\n  appearance: none;\n  background-color: #fff;\n  cursor: pointer;\n  transition: 0.5s;\n}\n\ninput[type=checkbox].kol-disabled:before {\n  cursor: not-allowed;\n}\n\ninput[type=checkbox]:before {\n  content: \"\";\n  cursor: pointer;\n}\n\n.kol-input.required .tooltip-content .span-label::after {\n  content: \"*\";\n}\n\n.button {\n  display: grid;\n  grid-template-columns: var(--a11y-min-size) auto;\n  grid-template-areas: \"error error\" \"input label\" \"hint hint\";\n}\n\n.button:focus-within {\n  /* override global `[tabindex]:focus` style */\n  cursor: inherit;\n  outline-color: black;\n  outline-style: solid;\n}\n\n.button > .error {\n  grid-area: error;\n}\n\n.button > label {\n  grid-area: label;\n}\n\n.button > .input {\n  grid-area: input;\n}\n\n.button > .hint {\n  grid-area: hint;\n}\n\n.button .icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: var(--a11y-min-size);\n  height: var(--a11y-min-size);\n}\n\n@layer kol-component {\n  .default .checkbox-container {\n    align-items: center;\n    display: flex;\n    height: var(--a11y-min-size);\n    justify-content: center;\n    position: relative;\n    width: var(--a11y-min-size);\n  }\n  .default .icon {\n    display: block;\n    inset: auto;\n    position: absolute;\n    z-index: 1;\n  }\n  .default:not(.checked):not(.indeterminate) .icon::part(icon) {\n    display: none;\n  }\n  .default .checkbox-input-element {\n    width: 22px;\n    height: 22px;\n  }\n}\n@layer kol-component {\n  .switch .input {\n    position: relative;\n  }\n  .switch input[type=checkbox] {\n    display: inline-block;\n    height: 1.7em;\n    min-width: 3.2em;\n    position: relative;\n    width: 3.2em;\n  }\n  .switch input[type=checkbox]::before {\n    background-color: #000;\n    height: 1.2em;\n    left: calc(0.25em - 2px);\n    top: calc(0.25em - 2px);\n    position: absolute;\n    transition: 0.5s;\n    width: 1.2em;\n  }\n  .switch input[type=checkbox]:checked::before {\n    transform: translateX(1.5em);\n  }\n  .switch input[type=checkbox]:indeterminate::before {\n    transform: translateX(0.75em);\n  }\n  .switch .icon {\n    cursor: pointer;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    width: 1.2em;\n    height: 1.2em;\n    position: absolute;\n    z-index: 1;\n    top: 50%;\n    left: 4px;\n    transform: translate(0, -50%);\n    transition: 0.5s;\n    color: #000;\n  }\n  .switch.checked .icon {\n    transform: translate(1.5em, -50%);\n  }\n  .switch.indeterminate .icon {\n    transform: translate(0.75em, -50%);\n  }\n}",KolInputCheckboxDefaultStyle0=defaultStyleCss,KolInputCheckbox=class{render(){const{ariaDescribedBy:e}=getRenderStates(this.state),t=showExpertSlot(this.state._label);return h(Host,{key:"e627effec34070bfd03e6b30367d20e43be0046c",class:"kol-input-checkbox"},h(KolInputTag,{key:"2c30cb2916c5eb6095752f9e9600fa093dc1688b",class:{checkbox:!0,[this.state._variant]:!0,"hide-label":!!this.state._hideLabel,checked:this.state._checked,indeterminate:this.state._indeterminate},"data-role":"button"===this.state._variant?"button":void 0,_alert:this.state._alert,_disabled:this.state._disabled,_error:this.state._error,_hideError:this.state._hideError,_hideLabel:this.state._hideLabel,_hint:this.state._hint,_id:this.state._id,_label:this.state._label,_required:this.state._required,_tooltipAlign:this._tooltipAlign,_touched:this.state._touched},h("span",{key:"eb07ea1b3b3d4f0cae4b14f3f2ae663c61e881c4",slot:"label"},t?h("slot",null):this.state._label),h("label",{key:"f0cd1ad6428d8974548ca6094165238c00032d60",slot:"input",class:"checkbox-container"},h(KolIconTag,{key:"45507d43d98bafa893e210cf8d428ce17d93aac5",class:"icon",_icons:this.state._indeterminate?this.state._icons.indeterminate:this.state._checked?this.state._icons.checked:this.state._icons.unchecked,_label:""}),h("input",Object.assign({key:"5970556a3c2f35455a3f660510115a2639ed823a",class:"checkbox-input-element"+("button"===this.state._variant?" visually-hidden":""),ref:this.catchRef,title:"",accessKey:this.state._accessKey,"aria-describedby":e.length>0?e.join(" "):void 0,"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?this.state._label:void 0,checked:this.state._checked,disabled:this.state._disabled,id:this.state._id,indeterminate:this.state._indeterminate,name:this.state._name,required:this.state._required,tabIndex:this.state._tabIndex,type:"checkbox"},this.controller.onFacade,{onInput:this.onInput,onChange:this.onChange,onClick:void 0})))))}constructor(e){registerInstance(this,e),this.catchRef=e=>{propagateFocus(this.host,e)},this.onInput=e=>{var t;this._checked=!this._checked,this._indeterminate=!1;const n=this._checked?this.state._value:null;tryToDispatchKoliBriEvent("input",this.host,n),"function"==typeof(null===(t=this._on)||void 0===t?void 0:t.onInput)&&this._on.onInput(e,n)},this.onChange=e=>{var t;const n=this._checked?this.state._value:null;tryToDispatchKoliBriEvent("change",this.host,n),this.controller.setFormAssociatedCheckboxValue(n),"function"==typeof(null===(t=this._on)||void 0===t?void 0:t.onChange)&&this._on.onChange(e,n)},this._accessKey=void 0,this._alert=!0,this._checked=!1,this._hideError=!1,this._disabled=!1,this._error=void 0,this._hideLabel=!1,this._hint="",this._icon=void 0,this._icons=void 0,this._id=void 0,this._indeterminate=void 0,this._label=void 0,this._name=void 0,this._on=void 0,this._required=!1,this._syncValueBySelector=void 0,this._tabIndex=void 0,this._tooltipAlign="top",this._touched=!1,this._type=void 0,this._value=!0,this._variant=void 0,this.state={_checked:!1,_hideError:!1,_icons:{checked:"codicon codicon-check",indeterminate:"codicon codicon-remove",unchecked:"codicon codicon-add"},_id:`id-${nonce()}`,_indeterminate:!1,_label:"…",_value:!0,_variant:"default"},this.controller=new InputCheckboxController(this,"checkbox",this.host)}validateAccessKey(e){this.controller.validateAccessKey(e)}validateAlert(e){this.controller.validateAlert(e)}validateChecked(e){this.controller.validateChecked(e)}validateDisabled(e){this.controller.validateDisabled(e)}validateError(e){this.controller.validateError(e)}validateHideError(e){this.controller.validateHideError(e)}validateHideLabel(e){this.controller.validateHideLabel(e)}validateHint(e){this.controller.validateHint(e)}validateIcon(e){this.validateIcons(e)}validateIcons(e){this.controller.validateIcons(e)}validateId(e){this.controller.validateId(e)}validateIndeterminate(e){this.controller.validateIndeterminate(e)}validateLabel(e){this.controller.validateLabel(e)}validateName(e){this.controller.validateName(e)}validateOn(e){this.controller.validateOn(e)}validateRequired(e){this.controller.validateRequired(e)}validateSyncValueBySelector(e){this.controller.validateSyncValueBySelector(e)}validateTabIndex(e){this.controller.validateTabIndex(e)}validateTouched(e){this.controller.validateTouched(e)}validateType(e){this.controller.validateType(e)}validateValue(e){this.controller.validateValue(e)}validateVariant(e){this.controller.validateVariant(e)}componentWillLoad(){this._alert=!0===this._alert,this._touched=!0===this._touched,this.controller.componentWillLoad()}get host(){return getElement(this)}static get watchers(){return{_accessKey:["validateAccessKey"],_alert:["validateAlert"],_checked:["validateChecked"],_disabled:["validateDisabled"],_error:["validateError"],_hideError:["validateHideError"],_hideLabel:["validateHideLabel"],_hint:["validateHint"],_icon:["validateIcon"],_icons:["validateIcons"],_id:["validateId"],_indeterminate:["validateIndeterminate"],_label:["validateLabel"],_name:["validateName"],_on:["validateOn"],_required:["validateRequired"],_syncValueBySelector:["validateSyncValueBySelector"],_tabIndex:["validateTabIndex"],_touched:["validateTouched"],_type:["validateType"],_value:["validateValue"],_variant:["validateVariant"]}}};KolInputCheckbox.style={default:KolInputCheckboxDefaultStyle0};export{KolInputCheckbox as kol_input_checkbox};